package cn.com.customization.download;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * 删除指定目录下的所有空文件夹
 *
 * @author wxg
 *
 */
public class DeleteNullDir {
	  List<File> list = new ArrayList<File>();
	  // 得到某一目录下的所有文件夹
	  public List<File> visitAll(File root)
	  {
	    File[] dirs = root.listFiles();
	    if (dirs != null)
	    {
	      for (int i = 0; i < dirs.length; i++)
	      {
	        if (dirs[i].isDirectory())
	        {
	          list.add(dirs[i]);
	        }
	        visitAll(dirs[i]);
	      }
	    }
	    return list;
	  }
	  /**
	   * 删除空的文件夹
	   * @param list
	   */
	  public void removeNullFile(List<File> list)
	  {
	    for (int i = list.size() - 1; i >= 0; i--)
	    {
	      File temp = list.get(i);
          System.out.println("name:" + temp.getPath());
	      // 是目录且为空
	      if (temp.isDirectory() && temp.listFiles().length <= 0)
	      {
	          System.out.println("delete:" + temp.getPath());
	        temp.delete();
	      }
	    }
	  }
}

